//
//  coverView.m
//  VerificationCode
//
//  Created by Crazy凡 on 2016/9/27.
//  Copyright © 2016年 Crazy凡. All rights reserved.
//

#import "CoverView.h"

@interface CoverView ()
@property (nonatomic, copy) UIBezierPath * path;
@end

@implementation CoverView

- (instancetype)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        self.backgroundColor = [UIColor clearColor];
    }
    return self;
}
- (void)addCoverPath:(UIBezierPath *)path
{
    _path = path;
}

// Only override drawRect: if you perform custom drawing.
// An empty implementation adversely affects performance during animation.
- (void)drawRect:(CGRect)rect {
    // Drawing code
    self.backgroundColor = [UIColor clearColor];
    [_path setLineWidth:1.5];
    [[UIColor colorWithRed:0 green:0 blue:0 alpha:0.25] setFill];
    [[UIColor colorWithRed:1 green:1 blue:1 alpha:0.35] setStroke];
    [_path stroke];
    [_path fill];
}


@end
