//
//  PuzzleSide.h
//  VerificationCode
//
//  Created by Crazy凡 on 2016/9/23.
//  Copyright © 2016年 Crazy凡. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

typedef enum : NSInteger {
    HumpTypeClockwise = 1,
    HumpTypeCounterClockwise = -1,
    HumpTypeNone = 0,
} HumpType;
@interface PuzzleSide : NSObject
- (UIBezierPath *)path;
+ (instancetype)puzzleSideWithPointA:(CGPoint)pointA andPointB:(CGPoint)pointB andType:(HumpType)type;
- (UIBezierPath *)addPointToPath:(UIBezierPath *)path;
@end
